Insert new questions and answers into FAQ template for a knowledge base
curl --request POST \
--url https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"faq": [
{
"question": "What is the address of your clinic?",
"answer": "12345 Elm Street, Springfield, CA 12345, USA",
"category": "General Enquiry",
"updatable": true
}
]
}
'import requests
url = "https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template"
payload = { "faq": [
{
"question": "What is the address of your clinic?",
"answer": "12345 Elm Street, Springfield, CA 12345, USA",
"category": "General Enquiry",
"updatable": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
faq: [
{
question: 'What is the address of your clinic?',
answer: '12345 Elm Street, Springfield, CA 12345, USA',
category: 'General Enquiry',
updatable: true
}
]
})
};
fetch('https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"faq": [
{
"id": "6789abcdef01234567890abc",
"question": "What is the address of your clinic?",
"answer": "12345 Elm Street, Springfield, CA 12345, USA",
"category": "General Enquiry",
"updatable": true
}
]
}Knowledge Bases
Insert new questions and answers into FAQ template for a knowledge base
Returns a list of frequently asked questions along with their answers
POST
/
kb
/
v1
/
knowledge-bases
/
{id}
/
faq-template
Insert new questions and answers into FAQ template for a knowledge base
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Path Parameters
The unique ID of the knowledge base.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
FAQ data exists for the queried knowledge base and is fetched successfully
Show child attributes
Show child attributes
⌘I